> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.endole.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Credit Score & Limit

Retrieve up to 3 years of historical credit score and recommended limit for a company.

<Callout icon="coins" iconType="regular">
  **Cost:** 30 credits per request
</Callout>

## Endpoint

```http theme={null}
GET https://api.endole.co.uk/company/{company_number}/credit-score-limit
```

## Parameters

| Parameter | Required | Description |
| - | - | - |
| company\_number | Yes | The 8-character official UK Companies House registration number. |

## Example Request

```shellscript theme={null}
curl -X GET "https://api.endole.co.uk/company/09446231/credit-score-limit" \
  -H "Authorization: Bearer 33e2ea54ca6d9ce3f70b24a4e13d9cf9a451c51f1f2140d21e8e2131cd37fcc"
```

## Example Response

```json theme={null}
{
  "status": "success",
  "company_number": "09446231",
  "data": {
    "credit_score_limit": [
      {
        "score": "86",
        "max_score": "99",
        "status": "Secure",
        "recommended_limit": "50000000",
        "date": "2026-03-31"
      },
      {
        "score": "89",
        "max_score": "99",
        "status": "Secure",
        "recommended_limit": "50000000",
        "date": "2025-03-31"
      },
      {
        "score": "77",
        "max_score": "99",
        "status": "Stable",
        "recommended_limit": "50000000",
        "date": "2024-03-31"
      }
    ]
  }
}
```
